Bug 239331 - graphics/blender: fix build on GCC architectures
Summary: graphics/blender: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-20 09:17 UTC by Piotr Kubaj
Modified: 2019-08-01 19:08 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (FreeBSD)


Attachments
patch (856 bytes, patch)
2019-07-20 09:17 UTC, Piotr Kubaj
no flags Details | Diff
graphics/blender update for gcc (857 bytes, patch)
2019-07-21 09:56 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
v3 (1.31 KB, patch)
2019-07-21 11:13 UTC, Piotr Kubaj
FreeBSD: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-07-20 09:17:17 UTC
Created attachment 205920 [details]
patch

Error:
/wrkdirs/usr/ports/graphics/blender/work/blender-2.79b/source/blender/blenlib/intern/math_base.c: In function 'double_round':
/wrkdirs/usr/ports/graphics/blender/work/blender-2.79b/source/blender/blenlib/intern/math_base.c:59:17: error: conversion from 'double' to 'float' may change value [-Werror=float-conversion]
   if (!isfinite(y))

Fix by adding -Wno-float-conversion.

Also add USES=gl gnome sdl.
Comment 1 Shane 2019-07-21 09:56:05 UTC
Created attachment 205965 [details]
graphics/blender update for gcc

Adding CFLAGS for gcc and USES=gl is OK

USES=gnome is define in COLLADA_USE
USES=sdl is defined in SDL_USE

Adjusted patch without the two USES additions
Comment 2 Piotr Kubaj freebsd_committer 2019-07-21 11:13:53 UTC
Created attachment 205969 [details]
v3

You're right that it shouldn't be in global USES. But gnome and sdl should still make it to USES (at least for those options). USE_GNOME and USE_SDL require USES=gnome and USES=sdl.
Comment 3 commit-hook freebsd_committer 2019-08-01 19:08:07 UTC
A commit references this bug:

Author: pkubaj
Date: Thu Aug  1 19:07:43 UTC 2019
New revision: 507821
URL: https://svnweb.freebsd.org/changeset/ports/507821

Log:
  graphics/blender: fix build on GCC architectures

  Error:
  /wrkdirs/usr/ports/graphics/blender/work/blender-2.79b/source/blender/blenlib/intern/math_base.c: In function 'double_round':
  /wrkdirs/usr/ports/graphics/blender/work/blender-2.79b/source/blender/blenlib/intern/math_base.c:59:17: error: conversion from 'double' to 'float' may change value [-Werror=float-conversion]

  if (!isfinite(y))

  Fix by adding -Wno-float-conversion.

  Also add USES=gl gnome sdl.

  PR:		239331
  Approved by:	FreeBSD@ShaneWare.Biz (maintainer), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21022

Changes:
  head/graphics/blender/Makefile